OSPF as the Provider/Customer Edge Protocol for BGP/MPLS IP Virtual Private Networks (VPNs)
RFC 4577

Revision differences

Document history

Date Rev. By Action
2020-01-21
06 (System) Received changes through RFC Editor sync (added Verified Errata tag)
2018-12-20
06 (System)
Received changes through RFC Editor sync (changed abstract to 'Many Service Providers offer Virtual Private Network (VPN) services to their customers, using a technique in …
2015-10-14
06 (System) Notify list changed from rick@rhwilder.net, rcallon@juniper.net, rbonica@juniper.net, erosen@cisco.com, ppsenak@cisco.com, padma@juniper.net to rbonica@juniper.net, rcallon@juniper.net, rick@rhwilder.net
2012-08-22
06 (System) post-migration administrative database adjustment to the No Objection position for Russ Housley
2012-08-22
06 (System) post-migration administrative database adjustment to the No Objection position for Alex Zinin
2006-06-27
06 Amy Vezza State Changes to RFC Published from RFC Ed Queue by Amy Vezza
2006-06-27
06 Amy Vezza [Note]: 'RFC 4577' added by Amy Vezza
2006-06-26
06 (System) RFC published
2006-03-13
06 Amy Vezza State Changes to RFC Ed Queue from Approved-announcement sent by Amy Vezza
2006-03-06
06 Amy Vezza IESG state changed to Approved-announcement sent
2006-03-06
06 Amy Vezza IESG has approved the document
2006-03-06
06 Amy Vezza Closed "Approve" ballot
2006-03-06
06 Amy Vezza [Ballot Position Update] New position, Yes, has been recorded for Mark Townsley by Amy Vezza
2006-03-06
06 Amy Vezza State Changes to Approved-announcement to be sent from IESG Evaluation::External Party by Amy Vezza
2006-03-06
06 Amy Vezza Note field has been cleared by Amy Vezza
2006-02-20
06 Mark Townsley [Note]: '
' added by Mark Townsley
2006-02-20
06 Alex Zinin [Ballot Position Update] Position for Alex Zinin has been changed to No Objection from Discuss by Alex Zinin
2006-02-20
06 Mark Townsley


-------- Original Message --------
Subject: Re: Implementaton report:draft-ietf-l3vpn-ospf-2547bis
Date: Mon, 20 Feb 2006 10:05:40 -0500
From: Eric Rosen <erosen@cisco.com>
Reply-To: erosen@cisco.com
To: Mark Townsley <townsley@cisco.com> …
2006-02-20
06 Mark Townsley
New Implementation Report (for -06)

There are at least two independent implementations of draft-ietf-l3vpn-ospf-
2547bis, one  by Cisco and one  by Juniper.  Below  is the …
2006-02-17
06 (System) New version available: draft-ietf-l3vpn-ospf-2547-06.txt
2006-02-14
06 Mark Townsley [Note]: 'Implementation report received, awaiting Alex to clear discuss.
' added by Mark Townsley
2006-02-14
06 Mark Townsley


-------- Original Message --------
Subject: Implementation report for draft-ietf-l3vpn-ospf-2547
Date: Fri, 13 Jan 2006 12:48:06 -0500
From: Eric Rosen <erosen@cisco.com>
Reply-To: erosen@cisco.com
To: Ronald Bonica …
2006-01-09
06 Mark Townsley State Changes to IESG Evaluation::External Party from IESG Evaluation::Point Raised - writeup needed by Mark Townsley
2006-01-09
06 Mark Townsley State Changes to IESG Evaluation::Point Raised - writeup needed from IESG Evaluation::AD Followup by Mark Townsley
2006-01-09
06 Mark Townsley [Note]: 'Need implementation report, OSPF WG Review.
' added by Mark Townsley
2005-12-07
06 Mark Townsley Pinged chairs for implementation report, Alex for OSPF WG review.
2005-11-16
06 (System) Sub state has been changed to AD Follow up from New Id Needed
2005-11-16
05 (System) New version available: draft-ietf-l3vpn-ospf-2547-05.txt
2005-10-27
06 Alex Zinin [Ballot discuss]
Technical points from the original DISCUSS have been addressed.
OSPF WG reviewed the new doc again. Waiting for the implementation & interop
report.
2005-07-28
06 Mark Townsley State Changes to IESG Evaluation::Revised ID Needed from IESG Evaluation::AD Followup by Mark Townsley
2005-07-28
06 Mark Townsley


-------- Original Message --------
Subject: Meeting in Paris re review of draft-ietf-l3vpn-ospf-2547?
Date: Wed, 13 Jul 2005 12:38:08 -0700
From: Alex Zinin <zinin@psg.com>
Reply-To: Alex …
2005-07-28
06 Mark Townsley
[Note]: 'Waiting on new rev from Eric based on discussions with Alex and others. Proposed meeting in Paris may not happen as Eric will not …
2005-05-17
04 (System) New version available: draft-ietf-l3vpn-ospf-2547-04.txt
2005-03-31
06 Russ Housley [Ballot Position Update] Position for Russ Housley has been changed to No Objection from Discuss by Russ Housley
2005-03-25
06 (System) Sub state has been changed to AD Follow up from New Id Needed
2005-03-25
03 (System) New version available: draft-ietf-l3vpn-ospf-2547-03.txt
2005-03-11
06 Mark Townsley Shepherding AD has been changed to Mark Townsley from Thomas Narten
2004-12-03
06 Alex Zinin
[Ballot discuss]
> 4.1. Overview

>    Every PE attached to a particular OSPF network MUST function as an
>    OSPF area 0 router. …
2004-12-03
06 (System) Removed from agenda for telechat - 2004-12-02
2004-12-02
06 Amy Vezza State Changes to IESG Evaluation::Revised ID Needed from IESG Evaluation by Amy Vezza
2004-12-02
06 Bert Wijnen
[Ballot comment]
!! Missing Reference for citation: [OSPF-DNbit]
  P006 L054:    [OSPF-DNbit] in the LSA Options field MUST be set.  This is used to …
2004-12-02
06 Bill Fenner [Ballot Position Update] New position, No Objection, has been recorded for Bill Fenner by Bill Fenner
2004-12-02
06 Harald Alvestrand
[Ballot comment]
Reviewed by Lucy Lynch, Gen-ART
Her review:

This draft is basically ready for publication, but has nits that should
be fixed before publication. …
2004-12-02
06 Harald Alvestrand [Ballot Position Update] New position, No Objection, has been recorded for Harald Alvestrand by Harald Alvestrand
2004-12-02
06 Allison Mankin [Ballot Position Update] New position, No Objection, has been recorded for Allison Mankin by Allison Mankin
2004-12-02
06 Alex Zinin
[Ballot discuss]
> 4.1. Overview

>    Every PE attached to a particular OSPF network MUST function as an
>    OSPF area 0 router. …
2004-12-02
06 Alex Zinin
[Ballot discuss]
> 4.1. Overview

>    Every PE attached to a particular OSPF network MUST function as an
>    OSPF area 0 router. …
2004-12-02
06 Alex Zinin [Ballot Position Update] New position, Discuss, has been recorded for Alex Zinin by Alex Zinin
2004-12-01
06 Jon Peterson [Ballot Position Update] New position, No Objection, has been recorded for Jon Peterson by Jon Peterson
2004-12-01
06 Bert Wijnen [Ballot Position Update] Position for Bert Wijnen has been changed to No Objection from Undefined by Bert Wijnen
2004-12-01
06 Bert Wijnen
[Ballot comment]
!! Missing Reference for citation: [OSPF-DNbit]
  P006 L054:    [OSPF-DNbit] in the LSA Options field MUST be set.  This is used to …
2004-12-01
06 Bert Wijnen [Ballot Position Update] New position, Undefined, has been recorded for Bert Wijnen by Bert Wijnen
2004-11-30
06 Russ Housley
[Ballot discuss]
Please revise the header and the abstract to indicate that this document is
  an update to RFC 2547 (or rfc2547bis if that …
2004-11-30
06 Russ Housley
[Ballot comment]
Please spell out the first use of ABR.

  In section 4.1: s|Import/export to/from|Import from and export to|

  This is an add …
2004-11-30
06 Russ Housley [Ballot Position Update] New position, Discuss, has been recorded for Russ Housley by Russ Housley
2004-11-28
06 Sam Hartman [Ballot Position Update] New position, No Objection, has been recorded for Sam Hartman by Sam Hartman
2004-11-28
06 Margaret Cullen [Ballot Position Update] New position, No Objection, has been recorded for Margaret Wasserman by Margaret Wasserman
2004-11-24
06 Scott Hollenbeck [Ballot Position Update] Position for Scott Hollenbeck has been changed to No Objection from Undefined by Scott Hollenbeck
2004-11-24
06 Scott Hollenbeck [Ballot comment]
Please cite RFC 2119 as a normative reference.
2004-11-24
06 Scott Hollenbeck [Ballot Position Update] New position, Undefined, has been recorded for Scott Hollenbeck by Scott Hollenbeck
2004-11-24
06 Thomas Narten State Changes to IESG Evaluation from Waiting for Writeup by Thomas Narten
2004-11-24
06 Thomas Narten Placed on agenda for telechat - 2004-12-02 by Thomas Narten
2004-11-24
06 Thomas Narten [Ballot Position Update] New position, Yes, has been recorded for Thomas Narten
2004-11-24
06 Thomas Narten Ballot has been issued by Thomas Narten
2004-11-24
06 Thomas Narten Created "Approve" ballot
2004-11-24
06 Thomas Narten State Change Notice email list have been change to rick@rhwilder.net, rcallon@juniper.net, rbonica@juniper.net, erosen@cisco.com, ppsenak@cisco.com, padma@juniper.net from rick@rhwilder.net, rcallon@juniper.net, ronald.p.bonica@mci.com, erosen@cisco.com, ppsenak@cisco.com, padma@juniper.net
2004-11-24
06 Thomas Narten
[Note]: '2004-11-24: Ready for full IESG review. Also, depends on
draft-ietf-idr-bgp-ext-communities-07.txt to set up IANA registry that
is populated by this document (see comment from …
2004-11-09
06 Michelle Cotton
IANA Last Call Comments (a day late)
This document puts assignments in a registry that
is set-up by another document (draft-ietf-idr-bgp-ext-communities),
which is currently being …
2004-11-08
06 (System) State has been changed to Waiting for Writeup from In Last Call by system
2004-10-25
06 Amy Vezza Last call sent
2004-10-25
06 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2004-10-21
06 Thomas Narten State Changes to Last Call Requested from AD Evaluation by Thomas Narten
2004-10-21
06 Thomas Narten Last Call was requested by Thomas Narten
2004-10-21
06 (System) Ballot writeup text was added
2004-10-21
06 (System) Last call text was added
2004-10-21
06 (System) Ballot approval text was added
2004-10-21
02 (System) New version available: draft-ietf-l3vpn-ospf-2547-02.txt
2004-08-25
06 Thomas Narten [Note]: '2004-08-25: Respin appropriate before IETF LC; see log message for details.' added by Thomas Narten
2004-08-25
06 Thomas Narten
From: Thomas Narten <narten@rotala.raleigh.ibm.com>
To: "Rick Wilder" <rick@rhwilder.net>, Ross Callon <rcallon@juniper.net>,
    Ron Bonica <Ronald.P.Bonica@mci.com>
cc: Alex Zinin <zinin@psg.com>, erosen@cisco.com, ppsenak@cisco.com,
    padma@juniper.net …
2004-08-25
06 Thomas Narten State Changes to AD Evaluation from Publication Requested by Thomas Narten
2004-08-25
06 Thomas Narten [Note]: '2004-08-25: Double check with chairs that this is ready for IETF LC' added by Thomas Narten
2004-08-25
06 Thomas Narten State Change Notice email list have been change to rick@rhwilder.net, rcallon@juniper.net, ronald.p.bonica@mci.com, erosen@cisco.com, ppsenak@cisco.com, padma@juniper.net from
2004-03-29
06 Dinara Suleymanova State Changes to Publication Requested from AD is watching by Dinara Suleymanova
2004-03-29
06 Dinara Suleymanova Intended Status has been changed to Proposed Standard from None
2004-02-05
01 (System) New version available: draft-ietf-l3vpn-ospf-2547-01.txt
2004-02-02
06 Alex Zinin Draft Added by Alex Zinin
2003-07-23
00 (System) New version available: draft-ietf-l3vpn-ospf-2547-00.txt